<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package liondar
 */

$error_title = liondar_get_customize_option('error_title');
$error_btn_text = liondar_get_customize_option('error_btn_text');

get_header();

?>

	<section id="main-container" class="blog main-container error-page-spacing">
		<div class="container">
			<div class="row">
			   <div class="col-lg-12">
				  <div class="error-page text-left">
					 <div class="error-code">
						<strong><?php esc_html_e('404', 'liondar'); ?></strong>
					 </div>
					 <div class="error-message">
						<h3><?php if(!empty($error_title)) { echo esc_html($error_title); } else { echo esc_html_e('Sorry!...Page Not Found!', 'liondar');}?></h3>
					 </div>
					 <div class="error-body">
						<a href="<?php echo esc_url(home_url('/')); ?>" class="error-btn-custom"><i class="icofont-home"></i><?php if(!empty($error_btn_text)) { echo esc_html($error_btn_text); } else { echo esc_html_e('Go Home Page', 'liondar');}?></a>
					 </div>
				  </div>
			   </div>
			</div>
		</div>
	</section>

<?php get_footer(); ?>
