<?php
/**
 * The template for displaying catgeory pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package liondar
 */

$cat_breadcrumb = liondar_get_customize_option('cat_breadcrumb_enable', true);

get_header();
	
?>
	
	<?php if($cat_breadcrumb == true) :?>

	<!-- Category Breadcrumb -->
	<div class="theme-breadcrumb__Wrapper theme-breacrumb-area">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">

                	<div class="breadcrumb-inner-wrapp">
                		<div class="breadcrumb-titlebar">
                			<h1 class="theme-breacrumb-title">
							<?php echo esc_html__('Category','liondar').' :'; ?>  <?php single_cat_title(); ?>
							</h1>
                		</div>
                		<div class="breadcrumb-nav-top blog-breadcrumb-bg">
							<ul>
							<li class="breadcrumb-home-menu"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'liondar'); ?></a></li>
							<li class="breadcrumb-item-menu"><a href="<?php echo esc_url(home_url('/')); ?>"><?php single_cat_title(); ?></a></li>
							</ul>
						</div>

                	</div>
					
				</div>
            </div>
        </div>
    </div>
	<!-- Category Breadcrumb End -->
	<?php endif; ?>

	<section id="main-content" class="blog main-container blog-spacing cat-page-spacing" role="main">
		<div class="container">
			<div class="row">
				<div class="<?php if(is_active_sidebar('sidebar-1')) { echo "col-lg-8"; } else { echo "col-lg-12";}?> col-md-12">
					<div class="category-layout-two main-blog-layout blog-new-layout theme-layout-mainn">
					<?php if (have_posts()): ?>
					
						<div class="main-content-inner category-layout-one <?php if(has_post_thumbnail()) { echo "has-fblog"; } else { echo "no-fblog"; } ?>">
						<?php while (have_posts()): the_post(); ?>
							<?php get_template_part('template-parts/content', get_post_format());?>
						<?php
						endwhile; ?>
						</div>	
						
						<div class="theme-pagination-style">
							<?php
								the_posts_pagination(array(
								'next_text' => '<i class="ri-arrow-right-line"></i>',
								'prev_text' => '<i class="ri-arrow-left-line"></i>',
								'screen_reader_text' => ' ',
								'type'               => 'list'
							));
							?>
						</div>
						
						<?php else: ?>
							<?php get_template_part('template-parts/content', 'none'); ?>
						<?php endif; ?>
						
					</div>
				</div>

				<?php get_sidebar(); ?>

			</div>
		</div>
	</section>
	

<?php get_footer(); ?>
