<?php
if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly
	
}

if (!function_exists('liondar_theme_inline_style')):

	function liondar_theme_inline_style()
	{

		wp_enqueue_style('liondar-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');
		
		
		$theme_main_color = liondar_get_customize_option('theme_main_color');

		$custom_css = '';


		if (!empty($theme_main_color))

		{
			
			$custom_css .= ' .search-popup .search-form .submit-btn, .post-block-style-one-inner .post-category-box a:hover, article.post-trending-list-item .post-trending-item-inner .post-category-box a:hover, .tab-grid-post-item .post-category-box a:hover, .theme-post-video-block .video-post-block-content .post-category-box a:hover, .creative-post-list-wrapper .post-category-box a:hover, .post-block-wrapper-latest .post-category-box a:hover, .theme-tab-grid-wrap-style-two li.nav-item.dropdown ul.dropdown-menu, .backtotop, .header-two-burger-nav, .post-block-list-item-inner .post-category-box a:hover, .blog-sidebar .wp-block-categories li a:hover, .single-blog-header .post-category-box a:hover, .theme-tags__wrapper a:hover, .wp-block-search .wp-block-search__button, .theme-tab-grid-wrapper .news_tab_Block .nav-tabs .nav-link.active {background-color: ' . esc_attr($theme_main_color) . '!important;}';
				
				$custom_css .= '#theme-header-one .header-search-box a {color: ' . esc_attr($theme_main_color) . '!important;}';
				
				$custom_css .= '.wp-block-search .wp-block-search__button, .main-container .theme-pagination-style ul.page-numbers li span.current, .main-container .theme-pagination-style ul.page-numbers li a.page-numbers:hover, .theme-tab-grid-wrapper .news_tab_Block .nav-tabs .nav-link, .post-block-style-one-inner .post-category-box a:hover, article.post-trending-list-item .post-trending-item-inner .post-category-box a:hover, .tab-grid-post-item .post-category-box a:hover, .theme-post-video-block .video-post-block-content .post-category-box a:hover, .creative-post-list-wrapper .post-category-box a:hover, .post-block-wrapper-latest .post-category-box a:hover, .post-block-list-item-inner .post-category-box a:hover, .blog-sidebar .wp-block-categories li a:hover, .single-blog-header .post-category-box a:hover, .theme-tags__wrapper a:hover {border-color: ' . esc_attr($theme_main_color) . '!important;}';
		}

		
		
		// Get Category Color for List Widget
		
		$categories_widget_color = get_terms('category');
		
        if ($categories_widget_color) {
            foreach( $categories_widget_color as $tag) {
				$tag_link = get_category_link($tag->term_id);
				$title_bg_Color = get_term_meta($tag->term_id, 'liondar', true);
				$catColor = !empty( $title_bg_Color['cat-color'] )? $title_bg_Color['cat-color'] : '#0073FF';
				$custom_css .= '
					.cat-item-'.$tag->term_id.' span.post_count {background-color : '.$catColor.' !important;} 
				';
			}
        }	
		
		wp_add_inline_style('liondar-custom-style', $custom_css);
	}
	add_action('wp_enqueue_scripts', 'liondar_theme_inline_style');

endif;

