<?php 

	$show_blog_cat = liondar_get_customize_option('show_blog_cat', true);
	$show_blog_date = liondar_get_customize_option('show_blog_date', true);
	$show_blog_excerpt = liondar_get_customize_option('show_blog_excerpt', true);
	$show_blog_thumb = liondar_get_customize_option('show_blog_thumb', true);
	$set_blog_excerpt_limit = liondar_get_customize_option('set_blog_excerpt_limit');

?>


	<div <?php post_class('post-block-wrapper-latest post-block-style-latest blog-block-latest-single-item'); ?>>
		
		<?php if(has_post_thumbnail() && $show_blog_thumb == true): ?>
		<div class="post-thumbnail latest-post-thumbnail-wrap">
			<a href="<?php the_permalink(); ?>" class="latest-post-block-thumbnail">
				<img class="img-fluid" src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
			</a>
		</div>
		<?php endif; ?>
	
		<div class="latest-post-block-content">
		
			<div class="post-block-meta-list single-post-metalist">
			
				<?php if (has_category() && $show_blog_cat == true) : ?>
				<div class="post-category-box">
				<?php require LIONDAR_THEME_DIR . '/template-parts/cat-alt-template.php'; ?>
				</div>
				<?php endif; ?>

				<?php if($show_blog_date == true) :?>
				<div class="post-meta-date-box">
					<?php echo esc_html( get_the_date( 'F j, Y' ) ); ?>
				</div>
				<?php endif; ?>
				
			</div>	
	
			<h3 class="post-title">
				<a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
			</h3>
			
			<?php if($show_blog_excerpt == true) :?>
			<div class="post-excerpt-box">
				<p><?php echo esc_html( wp_trim_words(get_the_excerpt(), $set_blog_excerpt_limit ,'') );?></p>
			</div>
			<?php endif; ?>
			
		</div>
		
	</div>