<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package liondar
 */
 
$scroll_top = liondar_get_customize_option('back_top_enable', true);
$footer_nav_two = liondar_get_customize_option('footer_nav_two');

$footer_copyright_text = liondar_get_customize_option('copyright_text');

$footer_bold_slogan_img = liondar_get_customize_option('footer_bold_slogan_img');

$theme_footer_social = liondar_get_customize_option('footer_social_enable');
$theme_social_icon = liondar_get_customize_option( 'social-icon' );

$footer_copyright_text_allowed_tags = array(
    'a' => array(
        'href' => array(),
        'title' => array()
    ),
	'img' => array(
        'alt' => array(),
        'src' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
);

?>

	<!-- footer area start -->
    <footer id="footer-two" class="theme-footer-wrapper theme_footer_Widegts footer-template-two">

    	<div class="footer-top-border"></div>
        <div class="footer-top">
            <div class="container">
                <div class="row custom-gutter">
				
					<?php if ( is_active_sidebar( 'footer-widget-two-left' ) ): ?>
                    <div class="col-lg-6 footer-two-left">
                        <?php dynamic_sidebar( 'footer-widget-two-left' ); ?>
                    </div>
					<?php endif; ?> 

					
					

					<div class="col-lg-6 footer-two-right">


						<div class="footer-right-nav-wrap">

							<?php if($footer_nav_two == true) :?>
							<div class="footer-two-menu">
							
								<?php
	                           if ( has_nav_menu( 'footermenutwo' ) ) {
	                           
	                              wp_nav_menu( array( 
									 'theme_location' => 'footermenutwo',
	                                 'menu_class' => 'footer-nav-two', 
	                                 'container' => '' 
	                              ) );
	                           }

	                        	?>
							</div>
							<?php endif; ?>

							<div class="footer-right-bottom-items">
								
								<div class="copyright-text-wrap">
	                        	<?php if( !empty($footer_copyright_text) ){
									echo wp_kses($footer_copyright_text, $footer_copyright_text_allowed_tags);
								} else {
									esc_html_e('Copyright &copy; Liondar 2023. All rights reserved', 'liondar');
								}?>
								
								</div>

								<?php if($theme_footer_social == true) : ?>
								<div class="footer-right-social">
									<?php 
										if ( ! empty( $theme_social_icon ) ) : 
										foreach( $theme_social_icon as $item ) :
									?>
									<a href="<?php echo esc_url( $item['link'] ); ?>" target="_blank" class="social-list__link"><i class="<?php echo esc_attr( $item['icon'] ); ?>"></i></a>
									<?php 
										endforeach; 
										endif; 
									?>
								</div>
								<?php endif; ?>

							</div>

							


						</div>
						
					</div>

				
					
					
                </div>
            </div>
        </div>

		<div class="footer-two-bottom">
            <div class="container">
                <div class="row">
					
					<?php if(!empty($footer_bold_slogan_img['url'])) : ?>

					<div class="bold-slogan-image">
                		<img src="<?php echo esc_url($footer_bold_slogan_img['url']);?>" alt="title">
                	</div>

                	<?php endif; ?>
                    
                </div>
            </div>
        </div>


        <?php if($scroll_top == true) :?>
		<div class="backtotop"> 
			<a href="#" class="icofont-long-arrow-up" aria-hidden="true"></a>
		</div>
		<?php endif; ?>

	</footer>
    <!-- footer area end -->
	


