<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$liondar_logo = liondar_get_customize_option( 'theme_logo' );
$liondar_logo_id = isset($liondar_logo['id']) && !empty($liondar_logo['id']) ? $liondar_logo['id'] : '';
$liondar_logo_url = isset( $liondar_logo[ 'url' ] ) ? $liondar_logo[ 'url' ] : '';
$liondar_logo_alt = get_post_meta($liondar_logo_id,'_wp_attachment_image_alt',true);

$liondar_logo_light = liondar_get_customize_option( 'theme_logo_light' );
$liondar_logo_light_id = isset($liondar_logo_light['id']) && !empty($liondar_logo_light['id']) ? $liondar_logo_light['id'] : '';
$liondar_logo_light_url = isset( $liondar_logo_light[ 'url' ] ) ? $liondar_logo_light[ 'url' ] : '';
$liondar_logo_light_alt = get_post_meta($liondar_logo_light_id,'_wp_attachment_image_alt',true);

$theme_header_sticky = liondar_get_customize_option('theme_header_sticky', false);

$search_bar_enable = liondar_get_customize_option('search_bar_enable');
$burger_nav_enable = liondar_get_customize_option('burger_nav_enable');

$darkmode_enable = liondar_get_customize_option('darkmode_enable', true);


?>

<header id="theme-header-one" class="theme_header__main header-style-one <?php if( $theme_header_sticky == true ) { echo "stick-top"; } else { echo "stick-disable"; } ?>">
	
	<div class="theme-header-area">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-lg-2 col-md-12">
				
					<div class="logo theme-logo">
					<?php  
					if ( has_custom_logo() || !empty( $liondar_logo_url ) ) {
						if( isset( $liondar_logo['url'] ) && !empty( $liondar_logo_url ) ) { 
							?>
								<a href="<?php echo esc_url( site_url('/')) ?>" class="logo">
									<img class="img-fluid" src="<?php echo esc_url( $liondar_logo_url ); ?>" alt="<?php echo esc_attr( $liondar_logo_alt  ) ?>">
								</a>
						    <?php 
						} else {
							 the_custom_logo();
						}

					} else {
						printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
					}
					?>
					</div>

					<div class="logo theme-logo logo-light-wrap">
					<?php  
					if ( has_custom_logo() || !empty( $liondar_logo_light_url ) ) {
						if( isset( $liondar_logo_light['url'] ) && !empty( $liondar_logo_light_url ) ) { 
							?>
								<a href="<?php echo esc_url( site_url('/')) ?>" class="logo">
									<img class="img-fluid" src="<?php echo esc_url( $liondar_logo_light_url ); ?>" alt="<?php echo esc_attr( $liondar_logo_light_alt  ) ?>">
								</a>
						    <?php 
						} else {
							 the_custom_logo();
						}

					} else {
						printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
					}
					?>
					</div>


				</div>
				
				<div class="col-lg-7 col-md-12 nav-design-one">
					<div class="nav-menu-wrapper">
						<div class="nav-wrapper-one">
							<div class="liondar-responsive-menu"></div>
							<div class="mainmenu">
								<?php
									wp_nav_menu( array(
										'theme_location' => 'primary',
										'container' => 'nav',
										'container_class' => 'nav-main-wrap',
										'menu_class' => 'theme-main-menu',
										'menu_id'        => 'primary-menu',
										'fallback_cb'  => 'liondar_fallback_menu',
										'walker' => new LiondarNavWalker(),
									) );
								?>

							</div>
						</div>
					</div>	
				</div>
				
				<div class="col-lg-3">
					<div class="header-right-content text-right">

						<?php if($darkmode_enable == true) :?>
                        <div class="mode-switcher">
                            <i class="ifont mode-icon-change"></i>
                        </div>
                        <?php endif; ?>
                        
						<?php if($search_bar_enable == true) :?>
						<div class="header-search-box">
							<a href="#" class="search-box-btn"><i class="icofont-search-1"></i></a>
						</div>
						<?php endif; ?>

						<?php if($burger_nav_enable == true) :?>
						<div class="header-panel-nav-box menu-sidebar">
							<button></button>
						</div>
						<?php endif; ?>

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="header-bottom-line"></div>
</header>

<div class="body-overlay" id="body-overlay"></div>

<!-- Hidden Sidebar -->
<section class="hidden-bar">
    <div class="inner-box">
        <div class="cross-icon"><span class="fa fa-times"></span></div>
 		<?php dynamic_sidebar( 'header-one-nav-wid' ); ?>
    </div>
</section>
<!--End Hidden Sidebar -->

<!-- search popup area start -->
<div class="search-popup" id="search-popup">
	<form role="search" method="get" id="searchform" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<div class="form-group">
			<input type="text" class="search-input" value="<?php echo get_search_query(); ?>" name="s" id="s" placeholder="<?php esc_attr_e('Search.....','liondar'); ?>" required />
		</div>
		<button type="submit" id="searchsubmit" class="search-button submit-btn"><i class="icofont-search-1"></i></button>
	</form>							
</div>
<!-- search Popup end-->

