<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$liondar_logo_light = liondar_get_customize_option( 'theme_logo_light' );
$liondar_logo_light_id = isset($liondar_logo_light['id']) && !empty($liondar_logo_light['id']) ? $liondar_logo_light['id'] : '';
$liondar_logo_light_url = isset( $liondar_logo_light[ 'url' ] ) ? $liondar_logo_light[ 'url' ] : '';
$liondar_logo_light_alt = get_post_meta($liondar_logo_light_id,'_wp_attachment_image_alt',true);

$search_bar_enable2 = liondar_get_customize_option('search_bar_enable2');
$burger_nav_enable2 = liondar_get_customize_option('burger_nav_enable2');

$header_btn_right = liondar_get_customize_option('header_btn_right');
$header_btn_text = liondar_get_customize_option('header_btn_text');
$header_btn_link = liondar_get_customize_option('header_btn_link');

?>

<header id="theme-header-two" class="theme_header__main header-style-one header-style-two transparent-header">
	
	<div class="theme-header-area">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-lg-3 col-md-12">
				
					<div class="logo theme-logo logo-light-wrap">
					<?php  
					if ( has_custom_logo() || !empty( $liondar_logo_light_url ) ) {
						if( isset( $liondar_logo_light['url'] ) && !empty( $liondar_logo_light_url ) ) { 
							?>
								<a href="<?php echo esc_url( site_url('/')) ?>" class="logo">
									<img class="img-fluid" src="<?php echo esc_url( $liondar_logo_light_url ); ?>" alt="<?php echo esc_attr( $liondar_logo_light_alt  ) ?>">
								</a>
						    <?php 
						} else {
							 the_custom_logo();
						}

					} else {
						printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
					}
					?>
					</div>

				</div>
				
				<div class="col-lg-6 col-md-12 nav-design-one">
					<div class="nav-menu-wrapper">
						<div class="container nav-wrapper-one">
							<div class="liondar-responsive-menu"></div>
							<div class="mainmenu">
								<?php
									wp_nav_menu( array(
										'theme_location' => 'primary',
										'container' => 'nav',
										'container_class' => 'nav-main-wrap',
										'menu_class' => 'theme-main-menu',
										'menu_id'        => 'primary-menu',
										'fallback_cb'  => 'liondar_fallback_menu',
									) );
								?>

							</div>
						</div>
					</div>	
				</div>
				
				<div class="col-lg-3">

					<div class="header-right-content text-right">
					
						<?php if($search_bar_enable2 == true) :?>
						<div class="search-form-main">
							<form role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
								<input type="text" class="hsearch-input" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e('Search','liondar'); ?>" required />
								<button type="submit" id="searchsubmitt" class="hsearch-button"></button>
							</form>
						</div>
						<?php endif; ?>
						
						<?php if($header_btn_right == true) :?>
						<div class="header-two-subscribe-btn"><a href="<?php echo esc_url($header_btn_link); ?>"><?php echo esc_html($header_btn_text); ?></a></div>
						<?php endif; ?>

					</div>
				</div>

			</div>
		</div>

		<?php if($burger_nav_enable2 == true) :?>
		<div class="header-two-burger-nav menu-sidebar">
			<button></button>
		</div>
		<?php endif; ?>


	</div>
</header>

<div class="body-overlay" id="body-overlay"></div>

<!-- Hidden Sidebar -->
<section class="hidden-bar">
    <div class="inner-box">
        <div class="cross-icon"><span class="fa fa-times"></span></div>
 		<?php dynamic_sidebar( 'header-one-nav-wid' ); ?>
    </div>
</section>
<!--End Hidden Sidebar -->