<?php 

/**
 * All Elementor widget init
 * @package Minerva
 * @since 1.0.0
 */

function register_liondar_widgets ( $widgets_manager ) {

	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-animated-text-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-blog-slider-main-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-grid-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-list-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-list-three-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-list-two-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-style-one-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-style-two-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-tab-grid-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-block-tab-two-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-creative-list-elementor-widget.php' );

	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-explore-item-grid-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-trending-list-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-post-video-block-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-section-title-elementor-widget.php' );
	require_once( LIONDAR_EXTRA_ELEMENTOR . '/widgets/class-slider-main-elementor-widget.php' );



	$widgets_manager->register( new \liondar_animated_text() );
	$widgets_manager->register( new \liondar_post_block_slider() );
	$widgets_manager->register( new \liondar_post_block_item() );
	$widgets_manager->register( new \liondar_post_block_item_grid() );
	$widgets_manager->register( new \liondar_post_block_list() );
	$widgets_manager->register( new \liondar_post_block_list_three() );
	$widgets_manager->register( new \liondar_post_block_list_two() );
	$widgets_manager->register( new \liondar_post_block_style_one() );
	$widgets_manager->register( new \liondar_post_block_style_two() );
	$widgets_manager->register( new \liondar_post_tab_grid() );
	$widgets_manager->register( new \liondar_post_tab() );
	$widgets_manager->register( new \liondar_post_creative_list() );

	$widgets_manager->register( new \liondar_post_explore_grid() );
	$widgets_manager->register( new \liondar_post_trending_list() );
	$widgets_manager->register( new \liondar_post_block_video() );
	$widgets_manager->register( new \Liondar_Heading_Title_Widget() );
	$widgets_manager->register( new \liondar_post_slider_main() );







}
add_action( 'elementor/widgets/register', 'register_liondar_widgets' );



/**
 * Liondar Elementor _widget_categories()
 * @since 1.0.0
 * */


function liondar_elementor_widget_categories($elements_manager) {

    $elements_manager->add_category(
        'liondar_widgets',
        [
            'title' => __('Liondar Widgets', 'liondar-extra'),
        ]
    );

}

add_action('elementor/elements/categories_registered', 'liondar_elementor_widget_categories');