<?php
/*
Plugin Name: Liondar Extra
Plugin URI: https://gossipthemes.com/liondar-extra
Description: This is a helper plugin for Liondar Theme.
Author: Gossip Themes
Version: 1.0
Author URI: https://gossipthemes.com
*/

/**  Related Theme Type */

global $related_theme_type;
$related_theme_type = array('Liondar','Liondar Child');
//define current theme name
$current_theme = !empty( wp_get_theme() ) ? wp_get_theme()->get('Name') : '';
define('CURRENT_THEME_NAME',$current_theme);


/*
 * Define Plugin Dir Path
 * @since 1.0.0
 * */
define('LIONDAR_EXTRA_SELF_PATH','liondar-extra/liondar-extra.php');
define('LIONDAR_EXTRA_ROOT_PATH',plugin_dir_path(__FILE__));
define('LIONDAR_EXTRA_ROOT_URL',plugin_dir_url(__FILE__));
define('LIONDAR_EXTRA_LIB',LIONDAR_EXTRA_ROOT_PATH.'/lib');
define('LIONDAR_EXTRA_INC',LIONDAR_EXTRA_ROOT_PATH .'/inc');
define('LIONDAR_EXTRA_ADMIN',LIONDAR_EXTRA_INC .'/admin');
define('LIONDAR_EXTRA_ADMIN_ASSETS',LIONDAR_EXTRA_ROOT_URL .'inc/admin/assets');
define('LIONDAR_EXTRA_CSS',LIONDAR_EXTRA_ROOT_URL .'assets/css');
define('LIONDAR_EXTRA_JS',LIONDAR_EXTRA_ROOT_URL .'assets/js');
define('LIONDAR_EXTRA_ELEMENTOR',LIONDAR_EXTRA_INC .'/elementor');
define('LIONDAR_EXTRA_SHORTCODES',LIONDAR_EXTRA_INC .'/shortcodes');
define('LIONDAR_EXTRA_WIDGETS',LIONDAR_EXTRA_INC .'/widgets');

/** Plugin version **/
define('LIONDAR_CORE_VERSION','1.0.0');

//initial file
include_once ABSPATH .'wp-admin/includes/plugin.php';

if ( is_plugin_active(LIONDAR_EXTRA_SELF_PATH) ) {

	if ( !in_array(CURRENT_THEME_NAME,$GLOBALS['related_theme_type']) && file_exists(LIONDAR_EXTRA_INC .'/cs-framework-functions.php') ) {
		
		require_once LIONDAR_EXTRA_INC .'/cs-framework-functions.php';
		
	}

	//plugin core file include
	
	if ( file_exists(LIONDAR_EXTRA_INC .'/class-liondar-extra-init.php') ) {
		require_once LIONDAR_EXTRA_INC .'/class-liondar-extra-init.php';
	}
	
	//Demo data import 
	
	if ( file_exists(LIONDAR_EXTRA_INC .'/demo-import.php') ) {
		require_once LIONDAR_EXTRA_INC .'/demo-import.php';
	}
	
}


/** Post Read Time **/

function liondar_reading_time() {
	
	global $post;
	
	$content = get_post_field( 'post_content', $post->ID );
	$word_count = str_word_count( strip_tags( $content ) );
	$readingtime = ceil($word_count / 200);
	if ($readingtime == 1) {
	$timer = " min read";
	} else {
	$timer = " min read";
	}
	$totalreadingtime = $readingtime . $timer;
	return $totalreadingtime;
}

/** Post View **/
 
function liondar_get_post_view() {

	$count = get_post_meta( get_the_ID(), 'post_views_count', true );
	return "$count";
}


function liondar_set_post_view() {

	$key = 'post_views_count';
	$post_id = get_the_ID();
	$count = (int) get_post_meta( $post_id, $key, true );
	$count++;

	update_post_meta( $post_id, $key, $count );

}

//*** Post sharing function ***//

if ( ! function_exists( 'liondar_social_sharing' ) ) :
  /**
   * Prints HTML with meta information for the categories, tags and comments.
   */
  function liondar_social_sharing() {

      
        echo '<div class="post-share-wrap">';
        
        echo '<span>SHARE</span>';

       	echo '<a class="face social-list__link" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=' .get_the_permalink(). '" title="Facebook"><i class="fab fa-facebook-f"></i></a>';

       	echo '<a class="twit social-list__link" target="_blank" href="https://twitter.com/intent/tweet?text=' .get_the_title(). '&url=' .get_the_permalink(). '" title="Twitter"><i class="fab fa-twitter"></i></a>';

       	echo '<a class="pint social-list__link" target="_blank" href="https://www.pinterest.com/pin/create/button/?url=' .get_the_permalink(). '&description=' .get_the_title(). '" title="Pinterest"><i class="fab fa-pinterest-p"></i></a>';

       echo '<a class="linked social-list__link" target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url=' .get_the_permalink(). '&title=' .get_the_title(). '&summary=' .esc_url( get_home_url('/') ). '&source=' .get_bloginfo( 'name' ). '" title="LinkedIn"><i class="fab fa-linkedin-in"></i></a>';


       echo '</div>';

  };

endif;

/** Add Contact Methods in the User Profile **/
function liondar_user_contact_methods( $user_contact ) {
	
    $user_contact['facebook']   = esc_html__( 'Facebook Profile Link', 'liondar' );
    $user_contact['twitter']    = esc_html__( 'Twitter Profile', 'liondar' );
    $user_contact['instagram']  = esc_html__( 'Instagram', 'liondar' ); 
	$user_contact['pinterest']  = esc_html__( 'Pinterest', 'liondar' );
	$user_contact['youtube']    = esc_html__( 'Youtube Profile', 'liondar' );
	
    return $user_contact; 
};
add_filter( 'user_contactmethods', 'liondar_user_contact_methods' );

function liondar_theme_author_box() {

    global $post;

    $theme_author_markup = '';
    // Get author's display name - NB! changed display_name to first_name. Error in code.
    $display_name = get_the_author_meta( 'display_name', $post->post_author );

    // If display name is not available then use nickname as display name
    if ( empty( $display_name ) )
    $display_name = get_the_author_meta( 'nickname', $post->post_author );

    // Get author's biographical information or description
    $user_description   = get_the_author_meta( 'user_description', $post->post_author );
    
    $user_facebook      = get_the_author_meta('facebook', $post->post_author);
    $user_twitter       = get_the_author_meta('twitter', $post->post_author);
    $user_instagram     = get_the_author_meta('instagram', $post->post_author);
	$user_pinterest     = get_the_author_meta('pinterest', $post->post_author);
	$user_youtube       = get_the_author_meta('youtube', $post->post_author);

    // Get link to the author archive page
    $user_posts = get_author_posts_url( get_the_author_meta( 'ID' , $post->post_author));
    if ( ! empty( $display_name ) )
    // Author avatar - - the number 90 is the px size of the image.
    $theme_author_markup .= '<div class="author-thumb">' . get_avatar( get_the_author_meta('ID') , 200 ) . '</div>';
    $theme_author_markup .= '<div class="theme_author_Info">';
    $theme_author_markup .= '<h6 class="theme_author_Title">' . esc_html__('About Author', 'liondar'). '</h6>';
    $theme_author_markup .= '<h4 class="theme_author__Name">' . $display_name . '</h4>';
    $theme_author_markup .= '<p class="theme_author__Description">' . get_the_author_meta( 'description' ). '</p>';
    $theme_author_markup .= '<div class="theme_author_Socials">';


	// Check if author has Twitter in their profile
	
    if ( ! empty( $user_facebook ) ) {
        $theme_author_markup .= ' <a href="' . $user_facebook .'" target="_blank" rel="nofollow" title="Facebook"><i class="icofont-facebook"></i> </a>';
    }
	
	    
    if ( ! empty( $user_twitter ) ) {
        $theme_author_markup .= ' <a href="' . $user_twitter .'" target="_blank" rel="nofollow" title="Twitter"><i class="icofont-twitter"></i> </a>';
    }
	
	if ( ! empty( $user_instagram ) ) {
        $theme_author_markup .= ' <a href="' . $user_instagram .'" target="_blank" rel="nofollow" title="Instagram"><i class="icofont-instagram"></i> </a>';
    }
	
	if ( ! empty( $user_pinterest ) ) {
        $theme_author_markup .= ' <a href="' . $user_pinterest .'" target="_blank" rel="nofollow" title="Pinterest"><i class="icofont-pinterest"></i> </a>';
    }

    if ( ! empty( $user_youtube ) ) {
        $theme_author_markup .= ' <a href="' . $user_youtube .'" target="_blank" rel="nofollow" title="Youtube"><i class="fa fa-youtube"></i> </a>';
    }

    $theme_author_markup .= '</div></div>';

    // Pass all this info to post content 
    echo '<div class="author_bio__Wrapper" >' . $theme_author_markup . '</div>';
}

